%define upstream_name    Math-PlanePath
%define upstream_version 95

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Math::Libm)
BuildRequires: perl(Test)
BuildRequires: perl(constant) >= 1.20.0
BuildRequires: perl(constant::defer) >= 5.0.0
BuildRequires: perl-devel
%description
This is the base class for some mathematical paths which map an integer
position '$n' to and from coordinates '$x,$y' in the 2D plane.

The current classes include the following. The intention is that any
'Math::PlanePath::Something' is a PlanePath, and supporting base classes or
related things are further down like 'Math::PlanePath::Base::Xyzzy'.

    SquareSpiral           four-sided spiral
    PyramidSpiral          square base pyramid
    TriangleSpiral         equilateral triangle spiral
    TriangleSpiralSkewed   equilateral skewed for compactness
    DiamondSpiral          four-sided spiral, looping faster
    PentSpiral             five-sided spiral
    PentSpiralSkewed       five-sided spiral, compact
    HexSpiral              six-sided spiral
    HexSpiralSkewed        six-sided spiral skewed for compactness
    HeptSpiralSkewed       seven-sided spiral, compact
    AnvilSpiral            anvil shape
    OctagramSpiral         eight pointed star
    KnightSpiral           an infinite knight's tour
    CretanLabyrinth        7-circuit extended infinitely

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYING Changes META.yml MYMETA.yml SIGNATURE examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 95.0.0-2.mga3
+ Revision: 369639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 95.0.0-1.mga3
+ Revision: 338093
- update to 95

* Thu Dec 13 2012 shlomif <shlomif> 94.0.0-1.mga3
+ Revision: 330247
- update to 94

* Tue Nov 06 2012 jquelin <jquelin> 92.0.0-1.mga3
+ Revision: 315165
- update to 92

* Wed Oct 24 2012 shlomif <shlomif> 91.0.0-1.mga3
+ Revision: 309563
- update to 91

* Mon Oct 15 2012 jquelin <jquelin> 90.0.0-1.mga3
+ Revision: 306176
- update to 90

* Wed Sep 26 2012 jquelin <jquelin> 89.0.0-1.mga3
+ Revision: 298053
- update to 89

* Fri Sep 07 2012 shlomif <shlomif> 88.0.0-1.mga3
+ Revision: 289226
- update to 88

* Thu Aug 16 2012 shlomif <shlomif> 86.0.0-1.mga3
+ Revision: 281553
- update to 86

* Mon Aug 06 2012 shlomif <shlomif> 84.0.0-1.mga3
+ Revision: 279446
- update to 84

* Sat Jul 28 2012 shlomif <shlomif> 83.0.0-1.mga3
+ Revision: 275403
- update to 83

* Thu Jul 12 2012 jquelin <jquelin> 80.0.0-1.mga3
+ Revision: 270295
- update to 80

* Tue Jul 03 2012 shlomif <shlomif> 79.0.0-1.mga3
+ Revision: 267079
- update to 79

* Fri Jun 08 2012 shlomif <shlomif> 77.0.0-1.mga3
+ Revision: 257898
- New version - 77.0

* Thu May 31 2012 shlomif <shlomif> 76.0.0-2.mga3
+ Revision: 252367
- License fix
- imported package perl-Math-PlanePath

